import { ScrollView, StyleSheet, Text, TouchableOpacity, View } from 'react-native'
import React from 'react'
import NewscoutTextHeader from '../../components/molecules/Header/NewscoutTextHeader'
import colors from '../../constants/colors'
import fonts from '../../constants/fonts'
import { horizontalScale, moderateScale, verticalScale } from '../../constants/metrics'
import ThemedTextButton from '../../components/molecules/Buttons/ThemeTextButton'

const ChooseTopicPage = props => {

    const {
        navigation, route
    } = props

    const styles = StyleSheet.create({
        container: {
            backgroundColor: colors().dominant
        },
        skipButton: {
            color: colors().recessive,
            textDecorationLine: 'underline',
            fontFamily: fonts.type.regular
        },
        topicsContainer: {
            paddingHorizontal: horizontalScale(16),
            backgroundColor: colors().dominant,
            paddingBottom: verticalScale(16)
        },
        topicDescription: {
            fontFamily: fonts.type.regular,
            color: colors().recessive,
            fontSize: moderateScale(16),
            paddingVertical: verticalScale(16)
        },
        selectTopic:{
            color: colors().recessive,
            fontFamily: fonts.type.regular,
            textAlign: 'center',
            paddingVertical: verticalScale(16)
        }
    })

    return (
        <ScrollView>
            <View style={styles.container}>
                <NewscoutTextHeader>
                    <TouchableOpacity>
                        <Text style={styles.skipButton}>Skip</Text>
                    </TouchableOpacity>
                </NewscoutTextHeader>
                <View style={styles.topicsContainer}>
                    <Text style={styles.topicDescription}>Let’s choose the topic that interest you.</Text>
                    <Text style={styles.selectTopic}>Select at least 3 topics*</Text>
                    <ThemedTextButton title={"Continue"} theme={'secondary'} onPress={() => navigation.navigate('FillProfile')}/>
                </View>
            </View>
        </ScrollView>


    )
}

export default ChooseTopicPage

